eoBinGenOp(3)

NAME
eoBinGenOp - Wrapper for binop: here we use select method of eoPopulator but we could also have an embedded selector to select the second parent.

SYNOPSIS

#include <eoGenOp.h>

Inherits eoGenOp< EOT >< EOT >.

  Public Member Functions
eoBinGenOp (eoBinOp< EOT > &_op)
unsigned max_production (void)
Max production is used to reserve space for all elements that are used by the operator, not setting it properly can result in a crash.
void apply (eoPopulator< EOT > &_pop)
do the work: get 2 individuals from the population, modifies only one (it's a eoBinOp)
virtual std::string className () const

  Private Attributes
eoBinOp< EOT > & op

Detailed Description

  template<class EOT> class eoBinGenOp< EOT >
Wrapper for binop: here we use select method of eoPopulator but we could also have an embedded selector to select the second parent.

Definition at line 107 of file eoGenOp.h.

Author

Generated automatically by Doxygen for EO from the source code.